Bug 31377 - After installing UCS with Austrian German locale, only login in English is possible
After installing UCS with Austrian German locale, only login in English is po...
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC (Generic)
UCS 3.0
Other Linux
: P4 normal (vote)
: UCS 3.2
Assigned To: Florian Best
Alexander Kläser
: interim-1
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-16 13:50 CEST by Moritz Muehlenhoff
Modified: 2013-11-19 06:43 CET (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Flags outvoted after Product Owner Review:
Ticket number:
Bug group (optional): Internationalization, Usability
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Moritz Muehlenhoff univentionstaff 2013-05-16 13:50:32 CEST
Spotted during the UCS training in Vienna (I have just reproduced it with UCS 3.1-1 errata94):

If Europe/Vienna is chosen as the timezone in the UCS installer, de_AT is selected as the default locale:

root@wien:~# ucr search --brief locale
locale/default: de_AT.UTF-8:UTF-8
locale/keymap: de-latin1
locale: de_AT.UTF-8:UTF-8

However, UMC doesn't recognise this locale as German; only English is offered in the login box of the UMC.

I suppose the same problem exists for German/Luxemburg and German/Switzerland.
Comment 1 Dirk Wiesenthal univentionstaff 2013-05-16 14:53:03 CEST
You should be able to activate German with something like

ucr set "umc/server/languages/de_AT=Deutsch"

Maybe ucr set "umc/server/languages/de_AT=Deutsch (Österreich)" to not interfere with a German locale installed (but both Locales with point to the same files so there is no difference).

Improving the situation: Setting a lot of ucr variables for German speaking countries and filtering in /etc/univention/templates/files/usr/share/univention-management-console-frontend/languages.json so that only one German stays in the list.
Comment 2 Alexander Kläser univentionstaff 2013-05-17 09:35:12 CEST
The German translation is currently only assiciated with de_DE, that is correct.
Comment 3 Janis Meybohm univentionstaff 2013-06-26 11:15:31 CEST
(In reply to Alexander Kläser from comment #2)
> The German translation is currently only assiciated with de_DE, that is
> correct.
But completely intransparent and mysterious for users!


Reported again:
http://forum.univention.de/viewtopic.php?f=48&t=2732

As a workaround is should be sufficient to add "German (Germany)" as additional locale in "basic settings" -> "Installed system locales".
Comment 4 Florian Best univentionstaff 2013-07-12 14:49:49 CEST
Deutsch (Schweiz), Deutsch (Österreich) and English (United Kingdom) has been added to the default languages of UMC (if set as locale).
Comment 5 Alexander Kläser univentionstaff 2013-07-30 12:44:54 CEST
Looks good! Changelog has been added!

When clicking on one of the new language icons in system setup appliance, the default keyboard settings are incorrect. Can you please have a look.
→ REOPEN
Comment 6 Florian Best univentionstaff 2013-08-19 09:07:02 CEST
(In reply to Alexander Kläser from comment #5)
> Looks good! Changelog has been added!
> 
> When clicking on one of the new language icons in system setup appliance,
> the default keyboard settings are incorrect. Can you please have a look.
> → REOPEN
I think the behavior is correct. This is done on purpose and only in appliance mode.
Comment 7 Alexander Kläser univentionstaff 2013-08-20 17:23:18 CEST
(In reply to Florian Best from comment #6)
> (In reply to Alexander Kläser from comment #5)
> > Looks good! Changelog has been added!
> > 
> > When clicking on one of the new language icons in system setup appliance,
> > the default keyboard settings are incorrect. Can you please have a look.
> > → REOPEN
> I think the behavior is correct. This is done on purpose and only in
> appliance mode.

No, the behaviour is not correct, I opened Bug 32275 for this as it has nothing to do directly with this bug.
Comment 8 Stefan Gohmann univentionstaff 2013-11-19 06:43:23 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".